Subject: Re: bug#10299: Emacs doesn't handle Unicode characters in keyboard layout on MS Windows

From: Kenichi Handa <[email-masked]>
Date: Thu, 15 Dec 2011 15:51:12 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> I don't think there any "clobbering".  Emacs deliberately converts the
> Unicode characters to the current locale's ANSI codepage.  I think
> (but I'm not sure) the reason is that Emacs cannot use UTF-16 for
> keyboard input.  Perhaps Jason and Handa-san could comment on this.

Currently only ASCII compatible coding system can be used
for keyboard-coding-system.  But, keyboard-coding-system is
for decoding tty input.  On graphic device, Emacs can decode
a system event directly.  For instance, handle_one_event (in
xterm.c) decodes the output of XIM (X Input Method)
directly.

---
Kenichi Handa
[email-masked]